## transmission 0.1

=== DESCRIPTION ===
Package: transmission
Type: Package
Title: Continuous time infectious disease models on individual data.
Version: 0.1
Date: 2012-11-04
Author: Alun Thomas, Andrew Redd
Authors@R: c(person('Alun', 'Thomas', email='alun.thomas@utah.edu',
        role=c('aut', 'cph')) , person('Andrew', 'Redd',
        email='andrew.redd@hsc.utah.edu', role=c('aut', 'com', 'cre')))
Maintainer: Andrew Redd <Andrew.Redd@hsc.utah.edu>
Description: Simulate and fit continuous time infectious disease
        transmission models. Infections can only occur through person
        to person contact or imported from outside the unit.
License: GPL (>= 3.0)
LazyLoad: yes
Suggests: testthat(>= 0.5)
Depends: R (>= 2.15.0), methods, Rcpp (>= 0.9.15)
Imports: ggplot2, reshape2, plyr
LinkingTo: Rcpp
RcppModules: continuous, sim
Collate: 'zzz.R' 'alunll.R' 'convert.R' 'metrics.R' 'ml.R' 'time.R'
        'utils.R' 'wrap.R' 'wrap_sim.R'
Packaged: 2012-11-05 03:24:29 UTC; aredd
Repository: CRAN
Date/Publication: 2012-11-05 08:01:23

## transmission 0.2.0

=== DESCRIPTION ===
Package: transmission
Type: Package
Title: Continuous time infectious disease models on individual data.
Version: 0.2.0
Date: 2014-05-15
Authors@R: c(person('Alun', 'Thomas', email='alun.thomas@utah.edu',
    role=c('aut', 'cph')) , person('Andrew', 'Redd',
    email='andrew.redd@hsc.utah.edu', role=c('aut', 'com', 'cre')))
Description: Simulate and fit continuous time infectious disease transmission
    models. Infections can only occur through person to person contact or
    imported from outside the unit.
License: GPL (>= 3.0)
LazyLoad: yes
Suggests: testthat(>= 0.5), knitr(>= 1.1), pander
Depends: R (>= 2.15.0), methods, Rcpp (>= 0.9.15)
Imports: ggplot2, reshape2, plyr
VignetteBuilder: knitr
LinkingTo: Rcpp
RcppModules: continuous, sim
Packaged: 2014-06-12 20:10:54 UTC; aredd
Author: Alun Thomas [aut, cph],
  Andrew Redd [aut, com, cre]
Maintainer: Andrew Redd <andrew.redd@hsc.utah.edu>
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-06-13 06:35:49

## transmission 0.72.dfsg

=== Makefile ===
# $Id: Makefile 1202 2006-12-14 03:17:23Z titer $

include mk/common.mk

default: all

# Before we do anything else, make sure we have config.mk and an
# updated version.mk

required: mk/config.mk mk/version.mk
mk/config.mk:
	@echo "Please run ./configure first."
	@false
mk/version.mk: FORCE
	@echo "Checking SVN revision..."
	@./version.sh
FORCE:

# Now call the Makefile that'll really build
# OS X has its special Makefile that wraps to Xcode

-include mk/config.mk
ifneq ($(SYSTEM),Darwin)
MAKEARGS += -f mk/default.mk
else
MAKEARGS += -f mk/osx.mk
endif

all: required
	@$(MAKE) $(MAKEARGS) all
clean: required
	@$(MAKE) $(MAKEARGS) clean
install: all
	@$(MAKE) $(MAKEARGS) install
package: all
	@$(MAKE) $(MAKEARGS) package
package-release: all
	@$(MAKE) $(MAKEARGS) package-release

## transmission 1.34-2maemo1

=== debian/changelog ===
transmission (1.34-2maemo1) unstable; urgency=low

  * Made window size & menu modifications from pipeline's patch.
  * Moved sort options into own menu.
  * Moved some options out of Torrent menu into File menu.
  * Removed existing icons and replaced ones that better integrate with maemo.
  * Added fullscreen option thanks to derf's code which I edited heavily for transmission.
  * Changed icon sizes to integrate better with maemo.
  * Edited transmission.desktop.in & made it go to applications/hildon.
  * Changed packaging to only make transmission & transmission-cli packages.
  * Added Maemo Icon & Display name in package manager.
  * Added postinst to let user select menu location for transmission.desktop
    (not if upgrading) & update gtk-icon-cache.
  * Reduced number of locales that maemo does not have support for.
  * Completed Build-Depends.

 -- Faheem Pervez <trippin1@gmail.com>  Mon, 20 Oct 2008 18:20:00 +0100

transmission (1.34-1) unstable; urgency=low

  * New upstream release (closes: #499851)
  * debian/{rules,control,patches}: removed patch added on last upload (since
    I already messed up uploading a new version to unstable, might as well
    keep it up-to-date)

 -- Leo Costela <costela@debian.org>  Sun, 12 Oct 2008 18:01:20 +0200

transmission (1.33-2) unstable; urgency=low

  * debian/rules: add quilt patch support
  * debian/control: add build-dep on quilt
  * debian/patches/rev_6749.diff: Backport fix for memory leak 
    (closes: #499828)

 -- Leo Costela <costela@debian.org>  Mon, 22 Sep 2008 22:47:32 +0200

transmission (1.33-1) unstable; urgency=low

  * New upstream release (Closes: #496325)

 -- Leo Costela <costela@debian.org>  Mon, 25 Aug 2008 00:45:34 +0200

transmission (1.32-1) unstable; urgency=low

  * New upstream release (Closes: #494438, #487355)
  * debian/rules, debian/transmissioncli.{install,manpages}: 
    - transmission-proxy is no longer shipped
    - add --as-needed to LDFLAGS
  * debian/transmission-common.install: add web directory
    (including upstream jquery since it includes plugins not available
    in libjs-jquery)
  * debian/copyright: updates from upstream and corrections (many GPL 
    files had Licence:MIT fields) (thanks Kevin Bortis for the heads-up)

 -- Leo Costela <costela@debian.org>  Fri, 15 Aug 2008 19:33:02 +0200

transmission (1.22-1) unstable; urgency=low

  * New upstream release (Closes: #486274)
  * debian/control: policy 3.8.0 (no changes)

 -- Leo Costela <costela@debian.org>  Fri, 20 Jun 2008 11:48:30 +0200

transmission (1.21-1) unstable; urgency=low

  * New upstream release (Closes: #482539)
  * Leo Costela is now the official maintainer
  * Mentioning the upstream bts in README.debian (Closes: #466761)

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Tue, 03 Jun 2008 19:09:22 +0200

transmission (1.20-1) unstable; urgency=low

  * new upstream release (closes: #481065):
    - add build-dep on libcurl-dev
  * debian/transmission-gtk.menu: better describe menu item (closes: #478212)
  * debian/control, debian/compat: bump debhelper v7
  * debian/rules:
    - some small changes and cleanups for debhelper v7, preparing for a 
      possible migration to dh
    - add dh_icon (from Ubuntu, thanks Fávio Martins)
  * debian/transmission-gtk.install: added usr/share/icons (see above)

 -- Leo Costela <costela@debian.org>  Fri, 16 May 2008 18:05:32 +0200

transmission (1.11-1) unstable; urgency=low

  * new upstream release

 -- Leo Costela <costela@debian.org>  Sun, 06 Apr 2008 15:00:37 +0200

transmission (1.10-1) unstable; urgency=low

  * new upstream release

 -- Leo Costela <costela@debian.org>  Tue, 01 Apr 2008 23:11:06 +0200

transmission (1.06-1) unstable; urgency=low

  * new upstream release

 -- Leo Costela <costela@debian.org>  Mon, 10 Mar 2008 23:58:46 +0100

transmission (1.05-1) unstable; urgency=low

  * new upstream release

 -- Leo Costela <costela@debian.org>  Wed, 13 Feb 2008 16:44:52 +0100

transmission (1.04-1) unstable; urgency=low

  * new upstream release

 -- Leo Costela <costela@debian.org>  Tue, 05 Feb 2008 01:22:33 +0100

transmission (1.02-1) unstable; urgency=low

  * New upstream release (Closes: #461237, #461778, #460319).

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Wed, 23 Jan 2008 13:08:22 +0100

transmission (1.00-1) unstable; urgency=low

  * New upstream release
    (Closes: #458942, #457825, #458202, #452440, #456038, #454802, #458075).
  * updated maintainer email
  * debian/patches: removed unneeded patches (dealt with DSFG dirs, see below)
  * debian/control: 
      - updated upstream homepage
      - add DM-upload:yes 
  * debian/rules: 
      - update get-orig-source to not remove dirs, DFSG status resolved 
        upstream
      - don't rename transmissioncli manpage, renamed upstream

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sat, 05 Jan 2008 09:16:52 +0100

transmission (0.96.dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #456228).
  * Added transmission-gtk.mime (Closes: #454801).
  * Fixed typo (Closes: #456036).

 -- Philipp Benner <mail@philipp-benner.de>  Sat, 15 Dec 2007 20:42:31 +0100

transmission (0.95.dfsg-2) unstable; urgency=low

  * add transmission-common package, to avoid duplication on files
  * install NEWS as changelog
  * rename README.Debian-source to README.debian (for consistency), document 
    current open bug about licence issues
  * registering transmission to handle torrent files (Closes: #454801)
    (Philipp Benner)
  * improved portability (Philipp Benner)

 -- Leo Costela <costela@debian.org>  Thu, 06 Dec 2007 00:46:50 +0100

transmission (0.95.dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #454127).
  * debian/copyright: convert to UTF-8 (Leo "costela" Antunes)

 -- Philipp Benner <mail@philipp-benner.de>  Wed, 05 Dec 2007 14:37:05 +0100

transmission (0.93.dfsg-2) unstable; urgency=low

  * Added missing build-dependency (python).


=== debian/control ===
Source: transmission
Section: user/other
Priority: optional
XSBC-Original-Maintainer: Pipeline, Philipp Benner <mail@philipp-benner.de>
Maintainer: Faheem Pervez <trippin1@gmail.com>
Build-Depends: debhelper (>= 5), libc6-dev (>= 2.5.0), autotools-dev, libgtk2.0-dev (>= 2.6.4), libssl-dev (>= 0.9.8), libx11-dev (>= 1.1.1), libcurl3-openssl-dev (>= 7.15.5), libnotify-dev (>= 0.4.4), libglib2.0-dev (>= 2.12.12), libdbus-glib-1-dev (>= 0.74), chrpath (>= 0.13)
Standards-Version: 3.7.2

Package: transmission
Architecture: any
Depends: ${shlibs:Depends}
Provides: transmission-diablo
Replaces: transmission-diablo
Description: free, lightweight BitTorrent client
 Transmission is a GTK-based BitTorrent client. It features a
 very simple, intuitive interface on top on an efficient,
 cross-platform back-end.
XB-Maemo-Display-Name: Transmission BitTorrent Client
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAAAXNSR0IArs4c6QAAAARnQU1BAACx
 jwv8YQUAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAAOpgAABdwnLpRPAAAAAlwSFlz
 AAAN1gAADdYBkG95nAAAABh0RVh0U29mdHdhcmUAUGFpbnQuTkVUIHYzLjIyt5EXfQAAByZJREFU
 WEftlllQlFcWx1tZYkHFp5mXmcwUVUOsykMqqZoaIm5FuY0sgiCbbJIOkLCIbE2z09BNs3SzCbRs
 CggqIkrYKWaMEgJhFxRsFoOAAmE1WlMTMgH+c+7HoHQAIVXmbbrqV/f21+fe87/nnu+c5vH+/9kk
 Auk83h8VPN4nhGkaj2e1FrnHF6LLedkvCgov/ZtxOT/npdzbU5q2c6eK3UVam8nj6dPaP/+qQJPT
 /bc+/LDhWxub0TYbm4U2Kyus0krzvCABHil7oex/TX6oEC1r7Dh7Wvutre1Y2ccfN9Kex7YtghQX
 Txw5grHduzGqrq7CiIYGrp91wPz8LGZmpjjYvOQzZwzv2rXOfuzddzF5+DAy1dVvUkQ0tyWCBNzo
 2LMHzeS8icdT4ZsdO3DZyR5T05MYn3jKweb5fCc0bmDfpKaGDl1dKNTUSlN5vHe2JSCDxzuSo6nZ
 ckVLa/qqltbiNS2tpVdoay+l852Wnz0bw8jIdxxsrnDlL1/dvfu13cqaxUItrdlcTc122tN0W85X
 jSgJ/0KLDCgaljR3pHEFNbWzcqFf6xNyPDik5GDz5FBhe5q2Nv+V3Yq9Fe1xmNbv+VXO32QsEonU
 ZIlxNweH+tHb18PBRCSlyEoTEhJ2vTVHm220KqBP+RBd3e0cfcoHb0+Alc1pHvF7mzNWJ6xtLU/9
 EnpuIZFGNXX3dKKlrYnjPs2lceJme8cz1husMaM1f6U9d24rOmT4OzsHW4Wv//mXgcGC/wg3QCKN
 XmrvbMHXTXc52FwaL14WhqyxZ3NCIPT/yc3dZYCEeW5LhK2dtYUg0H8hXBQKQZA/vH29cM7HUwWR
 OALNLV/jn3frOJpoHi0RwdtH1dbHzxvBVKAksdH43MP1MYnQ2zIKjs72XiHhQYvMudd5D8TLYhAn
 f01sghixCTH4prkB9XdqOBqb7yE2XsKigHi5dAVaJ5aKmGMEhwkRFBq4SFdht6UAFzd+amR0+KJv
 wHlkXVKgqfWeCjX1FUhOla8TkJgsQ1Vd+Tp7WVIcF0mK2s9Ozg4RWwpw9/y8hu4YfgIfFN8sQmdP
 iwrl1bdps0j846s6lFWWctTfqUUkPWO//dI+Ny+TExATK16iwxVuKYDucVSWGA9KQFTU3EZ3bzu6
 H7bjPkcbiooL4eLuhoKiAqRmpHDkF+XD3csD10qK0PWglUQwVoTfKC0iAQGQJyfA45y78o0CKEt3
 UPYvpFxIRmhECL5qqEffQA/6+lfo7e9GwdV82Dk5QJaciKCwELrbYMiSZHBwdkLR9Svo6etcobeD
 o4KiEhwaiAvpqTh33utfWwl4LyQseCEjMx3RlEAd91sxNNz/P6jsDivBfjtlZUlXFAhXDw8O30AB
 zK2tkX05C8ohatFDD6EcXKGx+S4io8KRma1AYJBggQ75h01F0I/60jjJj1k5FxETJ0b/0COMPh3G
 CAc1HkIaFwMTMzMcNzkJY3MLGJ+ywHFjmtOzpAtJ+G5kkBjA4ycrdD/shDgmCjmXsmiM/pF87N9U
 ANUAfsbFdM44XhaLialnmJwax8wc9fzns5ibn6FTBMDFlQ/Pc+4quLrxQW8PZzs7P43vpycwNv6E
 E0+HQm5eDtIVaSAfHpsKoFIqLaCEYuFSZGZg7vkMZmizoceDKK8oQ1n5LfgLfOHgaAfnT51UcHC0
 B1VNlH15CxWVX2KAGhQTPzk9DkVWOpGBK5S4VGVTNhTAEtCZ71R0q+wmJUwKSmn84eXzVygHHqHw
 agHsKQENT5rguJGhCuaWp+Hp7UkCSvF4eBDzP8xyzFHkqmoqweoEO8QZe5sS8qW+TgQ91Pbw+uJ2
 OalPTJHjbsMdFQFMzOTUBKprKyEMEeLQkaP42/4D2HvoEKztz1A3lKOto4XCP7NuXUdXO5c7TAjV
 mWrWbzYS8CfK1nvMKC4hFt0P7q/baDUiY89GcSkvF3w3FyQkJaCh8R6ev5jf1P7p+CjC6LWurath
 PaObSvIH6wRQo/iITqGsqavm3tnquioK4dymm7JodHV34Mno8BudM9Fd1K4lUjHq6mtxIS3le8q1
 QyoCdHR0dpqfNrelxHtRWV3BJVsUlVZ6b7nEYrDKyL6zt4BD6A9qtaDOyY0BgX4cLEnX4hfgg9Dw
 EBSXXKcrqEJ2bvbP5tYWzrq6uq//H+jp6WkYmRr7JybLFy5mKcj4Ghcudh1V1QQbaXH1WmrpO4M9
 o7GmtloViiT3jEa2142SYrD6kpyauGxy6mTw+wcParyKgr6+vuYJE8PgCFHYT9SKWev8TQiNCGZV
 cdnIxEikY2CgKuCo4d+9/QS+85JY8Wr/fusioiSRCAkLYgIiVQTs27dP45ODB46ZW5rfZn8cKFOX
 fgsiosKWzvIdh44aHrdTuQKWhB/t3atzwMDghImpscjU3FRqZmH2dqE9TcxMJMeMTjjo7dPXWU3C
 /wLYBxIUkm2GxQAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring disabled-thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

# Use hardware floating point
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s
endif

# parallel
ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
 TRANSMISSION_MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

configure: configure-stamp

configure-stamp:
	dh_testdir

	./configure \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=/usr/share/man \
		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs,--as-needed"

	touch $@

build: build-stamp

build-stamp: configure
	dh_testdir

	$(MAKE) $(TRANSMISSION_MAKEFLAGS)
	#$(MAKE) -C debian/manpages.d

	touch $@

clean: 
	dh_testdir
	dh_testroot

	-$(MAKE) clean
	-$(MAKE) -C debian/manpages.d clean

	$(RM) build-stamp 
	$(RM) configure-stamp 

# <bugfix>
	$(RM) mk/config.mk
	$(RM) mk/version.mk
	$(RM) cli/.depend
	$(RM) gtk/.depend
	$(RM) libtransmission/.depend
	$(RM) libtransmission/version.h
# </bugfix>

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/transmission install

#	# clean RPATH from transmission binary (costela - 2007-10-27)
	chrpath -d $(CURDIR)/debian/transmission/usr/bin/transmission
	chrpath -d $(CURDIR)/debian/transmission/usr/bin/transmission-daemon
	chrpath -d $(CURDIR)/debian/transmission/usr/bin/transmission-remote
	chrpath -d $(CURDIR)/debian/transmission/usr/bin/transmissioncli

#	# Install icons and desktop file
#	install -d $(CURDIR)/debian/transmission/usr/share/pixmaps
#	install -m644 debian/transmission-gtk.xpm \
#		$(CURDIR)/debian/transmission/usr/share/pixmaps/transmission.xpm

UPSTREAM_VERSION=$(shell dpkg-parsechangelog | perl -ne '{ print $$1."\n" if /Version: (.*)-.*/; }')

transmission-$(UPSTREAM_VERSION).tar.bz2:
	[ ! -f transmission-$(UPSTREAM_VERSION).tar.gz ] \
		&& wget http://download.m0k.org/transmission/files/transmission-$(UPSTREAM_VERSION).tar.bz2
transmission-$(UPSTREAM_VERSION): transmission-$(UPSTREAM_VERSION).tar.bz2
	tar -xjf transmission-$(UPSTREAM_VERSION).tar.bz2
transmission_$(UPSTREAM_VERSION).orig.tar.gz: transmission-$(UPSTREAM_VERSION)
	tar -cf - transmission-$(UPSTREAM_VERSION) | gzip -9 > transmission_$(UPSTREAM_VERSION).orig.tar.gz
get-orig-source: transmission_$(UPSTREAM_VERSION).orig.tar.gz
	$(RM) transmission-$(UPSTREAM_VERSION).tar.bz2
	$(RM) -r transmission-$(UPSTREAM_VERSION)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: configure build clean binary-indep binary-arch binary install

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php transmission-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/transmission-(.*)\.tar\.gz
http://download.m0k.org/transmission/files/Transmission-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/transmission-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
# http://sf.net/transmission/transmission-(.*)\.tar\.gz

## transmission 1.34-2maemo2

=== debian/changelog ===
transmission (1.34-2maemo2) unstable; urgency=low

  * Added launching via DBUS.
  * Window hildonised a bit. Menu still pending.
  * Linked with hildon-1 & libosso. (Build-Depends updated)
  * Mimetype added.
  * Close button removed from details dialog box.
  * Toolbar replaced with hildon one.

 -- Faheem Pervez <trippin1@gmail.com>  Mon, 10 Nov 2008 17:24:05 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 XSBC-Original-Maintainer: Pipeline, Philipp Benner <mail@philipp-benner.de>
 Maintainer: Faheem Pervez <trippin1@gmail.com>
-Build-Depends: debhelper (>= 5), libc6-dev (>= 2.5.0), autotools-dev, libgtk2.0-dev (>= 2.6.4), libssl-dev (>= 0.9.8), libx11-dev (>= 1.1.1), libcurl3-openssl-dev (>= 7.15.5), libnotify-dev (>= 0.4.4), libglib2.0-dev (>= 2.12.12), libdbus-glib-1-dev (>= 0.74), chrpath (>= 0.13)
+Build-Depends: debhelper (>= 5), pkg-config, libosso-dev, libhildon1-dev, libc6-dev (>= 2.5.0), autotools-dev, libgtk2.0-dev (>= 2.6.4), libssl-dev (>= 0.9.7), libx11-dev (>= 1.1.1), libcurl3-openssl-dev (>= 7.15.5), libnotify-dev (>= 0.4.4), libglib2.0-dev (>= 2.12.12), libdbus-glib-1-dev (>= 0.74), chrpath (>= 0.13)
 Standards-Version: 3.7.2
 
 Package: transmission
@@ -15,7 +15,7 @@
  Transmission is a GTK-based BitTorrent client. It features a
  very simple, intuitive interface on top on an efficient,
  cross-platform back-end.
-XB-Maemo-Display-Name: Transmission BitTorrent Client
+XB-Maemo-Display-Name: Transmission
 XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAAAXNSR0IArs4c6QAAAARnQU1BAACx
  jwv8YQUAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAAOpgAABdwnLpRPAAAAAlwSFlz
  AAAN1gAADdYBkG95nAAAABh0RVh0U29mdHdhcmUAUGFpbnQuTkVUIHYzLjIyt5EXfQAAByZJREFU

=== debian/rules ===
--- 
+++ 
@@ -11,22 +11,22 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 
-CFLAGS = -Wall -g
+CFLAGS = -Wall
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
-	CFLAGS += -O2
+	CFLAGS += -Os
 endif
 
 # Use soft-float and thumb mode if it enabled.
-ifneq (,$(findstring disabled-thumb,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(findstring *disabled*-thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
 endif
 
 # Use hardware floating point
 ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s
+	CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s -fomit-frame-pointer -ffast-math
 endif
 
 # parallel
@@ -97,6 +97,16 @@
 #	install -m644 debian/transmission-gtk.xpm \
 #		$(CURDIR)/debian/transmission/usr/share/pixmaps/transmission.xpm
 
+	# Install dbus service file - qwerty12
+	install -d $(CURDIR)/debian/transmission/usr/share/dbus-1/services
+	install -m644 debian/transmission.service \
+		$(CURDIR)/debian/transmission/usr/share/dbus-1/services/transmission.service
+
+	# Install mime file - qwerty12
+	install -d $(CURDIR)/debian/transmission/usr/share/mime/packages/
+	install -m644 debian/transmission-mime.xml \
+		$(CURDIR)/debian/transmission/usr/share/mime/packages/transmission-mime.xml
+
 UPSTREAM_VERSION=$(shell dpkg-parsechangelog | perl -ne '{ print $$1."\n" if /Version: (.*)-.*/; }')
 
 transmission-$(UPSTREAM_VERSION).tar.bz2:

## transmission 1.34-2maemo4

=== debian/changelog ===
transmission (1:1.34-2maemo4) unstable; urgency=low

  * Fixing horrible version string.
  * Cleaning up amount of patches.
  * Removed watch file.
  * Changed DBUS Service name.
  * Hardcoded upstream version string to 1.34
  * Added fullscreen functionality on message log window.
  * Fixed stop_rm_version patch by adding back in lines that did not need to be removed.

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 30 Jan 2009 18:11:59 +0000

transmission (1.40-2maemo3-1.34dgfix2) unstable; urgency=low

  * Using O2 instead of OS
  * Maemo browser launched when handling links
  * Switched to quilt to apply patches (thanks mikkov!)
  * O2 added to LDFLAGS
  * Message log window hildonized
  * Removed code to disable hildonization to [slightly] speedup startup time
  * Made transmission only search in /usr/share/transmission/web for the web interface resources to [slightly] speedup startup time. TRANSMISSION_WEB_HOME should be used instead of CLUTCH_HOME if you are setting this variable.
  * Applied Andrew Olmsted's contributed patch - Fullscreen when pressing the fullscreen button (Thanks fiferboy!)
  * Stopped version.h from getting deleted so build number correctly displays in About window

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 28 Nov 2008 13:29:05 +0000

transmission (1.40-2maemo3-1.34dgfix1) unstable; urgency=low

  * Scrollbars added
  * Menu hildonised

 -- Faheem Pervez <trippin1@gmail.com>  Mon, 10 Nov 2008 17:24:05 +0000

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/quilt/quilt.make
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -16,12 +17,7 @@
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
-	CFLAGS += -Os
-endif
-
-# Use soft-float and thumb mode if it enabled.
-ifneq (,$(findstring *disabled*-thumb,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mthumb
+	CFLAGS += -O2
 endif
 
 # Use hardware floating point
@@ -34,7 +30,7 @@
  TRANSMISSION_MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
-configure: configure-stamp
+configure: patch configure-stamp
 
 configure-stamp:
 	dh_testdir
@@ -43,7 +39,7 @@
 		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
-		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs,--as-needed"
+		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs,--as-needed,-O2"
 
 	touch $@
 
@@ -57,7 +53,7 @@
 
 	touch $@
 
-clean: 
+clean: unpatch
 	dh_testdir
 	dh_testroot
 
@@ -73,7 +69,6 @@
 	$(RM) cli/.depend
 	$(RM) gtk/.depend
 	$(RM) libtransmission/.depend
-	$(RM) libtransmission/version.h
 # </bugfix>
 
 	dh_clean 
@@ -107,7 +102,7 @@
 	install -m644 debian/transmission-mime.xml \
 		$(CURDIR)/debian/transmission/usr/share/mime/packages/transmission-mime.xml
 
-UPSTREAM_VERSION=$(shell dpkg-parsechangelog | perl -ne '{ print $$1."\n" if /Version: (.*)-.*/; }')
+UPSTREAM_VERSION=1.34
 
 transmission-$(UPSTREAM_VERSION).tar.bz2:
 	[ ! -f transmission-$(UPSTREAM_VERSION).tar.gz ] \

## transmission 1.34-2maemo5

=== debian/changelog ===
transmission (1:1.34-2maemo5) unstable; urgency=low

  * Add icons to torrent files.
  * Add tap and hold support to torrent entries
  * Add "please wait" to downloading blocklist message (it takes ages but it
    does download)
  * Replace GtkFileChooser when adding torrent with HildonFileChooser
  * hildonize_mainwindow_menu_toolbar_osso_init_deinit: revert
    update_tracker_button change
  * browser: modify gtr_open_file function directly to use maemo's browser
    instead of patching manually each file that uses gtr_open_file
  * Stop Transmission's title from being set twice
  * Use Maemo icons from theme instead of stock GTK ones
  * Stop icons from being displayed in menu
  * Set correct hildon_input_method_mode for password and numerical widgets
  * Fix options dialog
  * Make options dialog setting back to the default of show
  * Make "Open Folder" run the default file manager 

 -- Faheem Pervez <trippin1@gmail.com>  Sat,  7 Mar 2009 10:24:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: transmission
-Section: user/other
+Section: user/network
 Priority: optional
 XSBC-Original-Maintainer: Pipeline, Philipp Benner <mail@philipp-benner.de>
 Maintainer: Faheem Pervez <trippin1@gmail.com>
-Build-Depends: debhelper (>= 5), pkg-config, libosso-dev, libhildon1-dev, libc6-dev (>= 2.5.0), autotools-dev, libgtk2.0-dev (>= 2.6.4), libssl-dev (>= 0.9.7), libx11-dev (>= 1.1.1), libcurl3-openssl-dev (>= 7.15.5), libnotify-dev (>= 0.4.4), libglib2.0-dev (>= 2.12.12), libdbus-glib-1-dev (>= 0.74), chrpath (>= 0.13)
+Build-Depends: debhelper (>= 5), pkg-config, libosso-dev, libhildon1-dev, libc6-dev (>= 2.5.0), autotools-dev, libgtk2.0-dev (>= 2.6.4), libssl-dev (>= 0.9.7), libhildonfm2-dev, libx11-dev (>= 1.1.1), libcurl3-openssl-dev (>= 7.15.5), libnotify-dev (>= 0.4.4), libglib2.0-dev (>= 2.12.12), libdbus-glib-1-dev (>= 0.74), chrpath (>= 0.13), intltool (>= 0.23), quilt
 Standards-Version: 3.7.2
 
 Package: transmission

=== debian/rules ===
--- 
+++ 
@@ -102,6 +102,14 @@
 	install -m644 debian/transmission-mime.xml \
 		$(CURDIR)/debian/transmission/usr/share/mime/packages/transmission-mime.xml
 
+	# Install torrent icons - qwerty12
+	install -D -m644 $(CURDIR)/gtk/icons/hicolor_26x26_hildon_transmission.png \
+		$(CURDIR)/debian/transmission/usr/share/icons/hicolor/26x26/mimetypes/application-x-bittorrent.png
+	install -D -m644 $(CURDIR)/gtk/icons/hicolor_40x40_hildon_transmission.png \
+		$(CURDIR)/debian/transmission/usr/share/icons/hicolor/48x48/mimetypes/application-x-bittorrent.png
+	install -D -m644 $(CURDIR)/gtk/icons/hicolor_scalable_hildon_transmission.png \
+		$(CURDIR)/debian/transmission/usr/share/icons/hicolor/64x64/mimetypes/application-x-bittorrent.png
+
 UPSTREAM_VERSION=1.34
 
 transmission-$(UPSTREAM_VERSION).tar.bz2:

## transmission 1.40-2maemo3-1.34dgfix1

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 XSBC-Original-Maintainer: Pipeline, Philipp Benner <mail@philipp-benner.de>
 Maintainer: Faheem Pervez <trippin1@gmail.com>
-Build-Depends: debhelper (>= 5), pkg-config, libosso-dev, libhildon1-dev, libc6-dev (>= 2.5.0), autotools-dev, libgtk2.0-dev (>= 2.6.4), libssl-dev (>= 0.9.7), libhildonfm2-dev, libx11-dev (>= 1.1.1), libcurl3-openssl-dev (>= 7.15.5), libnotify-dev (>= 0.4.4), libglib2.0-dev (>= 2.12.12), libdbus-glib-1-dev (>= 0.74), chrpath (>= 0.13), intltool (>= 0.23), quilt
+Build-Depends: debhelper (>= 5), pkg-config, libosso-dev, libhildon1-dev, libc6-dev (>= 2.5.0), autotools-dev, libgtk2.0-dev (>= 2.6.4), libssl-dev (>= 0.9.7), libx11-dev (>= 1.1.1), libcurl3-openssl-dev (>= 7.15.5), libnotify-dev (>= 0.4.4), libglib2.0-dev (>= 2.12.12), libdbus-glib-1-dev (>= 0.74), chrpath (>= 0.13)
 Standards-Version: 3.7.2
 
 Package: transmission
@@ -16,6 +16,7 @@
  very simple, intuitive interface on top on an efficient,
  cross-platform back-end.
 XB-Maemo-Display-Name: Transmission
+XB-Maemo-Upgrade-Description: Downgrade from 1.40 to 1.34 to fix uPNP bug. Menu hildonised.
 XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAAAXNSR0IArs4c6QAAAARnQU1BAACx
  jwv8YQUAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAAOpgAABdwnLpRPAAAAAlwSFlz
  AAAN1gAADdYBkG95nAAAABh0RVh0U29mdHdhcmUAUGFpbnQuTkVUIHYzLjIyt5EXfQAAByZJREFU

## transmission 1.40-2maemo3-1.34dgfix2

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 XSBC-Original-Maintainer: Pipeline, Philipp Benner <mail@philipp-benner.de>
 Maintainer: Faheem Pervez <trippin1@gmail.com>
-Build-Depends: debhelper (>= 5), pkg-config, libosso-dev, libhildon1-dev, libc6-dev (>= 2.5.0), autotools-dev, libgtk2.0-dev (>= 2.6.4), libssl-dev (>= 0.9.7), libx11-dev (>= 1.1.1), libcurl3-openssl-dev (>= 7.15.5), libnotify-dev (>= 0.4.4), libglib2.0-dev (>= 2.12.12), libdbus-glib-1-dev (>= 0.74), chrpath (>= 0.13)
+Build-Depends: debhelper (>= 5), pkg-config, libosso-dev, libhildon1-dev, libc6-dev (>= 2.5.0), autotools-dev, libgtk2.0-dev (>= 2.6.4), libssl-dev (>= 0.9.7), libhildonfm2-dev,libx11-dev (>= 1.1.1), libcurl3-openssl-dev (>= 7.15.5), libnotify-dev (>= 0.4.4), libglib2.0-dev (>= 2.12.12), libdbus-glib-1-dev (>= 0.74), chrpath (>= 0.13), intltool (>= 0.23), quilt
 Standards-Version: 3.7.2
 
 Package: transmission

=== debian/rules ===
--- 
+++ 
@@ -102,15 +102,7 @@
 	install -m644 debian/transmission-mime.xml \
 		$(CURDIR)/debian/transmission/usr/share/mime/packages/transmission-mime.xml
 
-	# Install torrent icons - qwerty12
-	install -D -m644 $(CURDIR)/gtk/icons/hicolor_26x26_hildon_transmission.png \
-		$(CURDIR)/debian/transmission/usr/share/icons/hicolor/26x26/mimetypes/application-x-bittorrent.png
-	install -D -m644 $(CURDIR)/gtk/icons/hicolor_40x40_hildon_transmission.png \
-		$(CURDIR)/debian/transmission/usr/share/icons/hicolor/48x48/mimetypes/application-x-bittorrent.png
-	install -D -m644 $(CURDIR)/gtk/icons/hicolor_scalable_hildon_transmission.png \
-		$(CURDIR)/debian/transmission/usr/share/icons/hicolor/64x64/mimetypes/application-x-bittorrent.png
-
-UPSTREAM_VERSION=1.34
+UPSTREAM_VERSION=$(shell dpkg-parsechangelog | perl -ne '{ print $$1."\n" if /Version: (.*)-.*/; }')
 
 transmission-$(UPSTREAM_VERSION).tar.bz2:
 	[ ! -f transmission-$(UPSTREAM_VERSION).tar.gz ] \

## transmission 1.40-maemo3

=== debian/changelog ===
transmission (1.40-maemo3) unstable; urgency=low

  * New upstream release.
  * Added scrollbars on torrent details & preferences window from Daniel Martin Yerga's (Thanks!) gFTP code to do the same.
  * Changed section to user/network from user/other to be in line with planned package categories.
  * Changed from using Os to 02
  * Readded tray icon toggle from menu
  * New way of checking to see if this is an upgrade to avoid bringing up menu selection dialog again (Thanks Danny Milosavljevic!)
  * Display options dialog and Start when added disabled by default as a workaround to non-working options dialog (sorry, will fix when I get the time)
  * Changed hardcoded libcurl required number from a version that is newer than the one on the tablets to the version on the tablets. web.c taken from svn revision 6893 with minor modifications to reflect this
  * Non-working "Open torrent folder" option removed.

 -- Faheem Pervez <trippin1@gmail.com>  Tue, 25 Nov 2008 12:44:50 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 XSBC-Original-Maintainer: Pipeline, Philipp Benner <mail@philipp-benner.de>
 Maintainer: Faheem Pervez <trippin1@gmail.com>
-Build-Depends: debhelper (>= 5), pkg-config, libosso-dev, libhildon1-dev, libc6-dev (>= 2.5.0), autotools-dev, libgtk2.0-dev (>= 2.6.4), libssl-dev (>= 0.9.7), libhildonfm2-dev,libx11-dev (>= 1.1.1), libcurl3-openssl-dev (>= 7.15.5), libnotify-dev (>= 0.4.4), libglib2.0-dev (>= 2.12.12), libdbus-glib-1-dev (>= 0.74), chrpath (>= 0.13), intltool (>= 0.23), quilt
+Build-Depends: debhelper (>= 5), pkg-config, libosso-dev, libhildon1-dev, libc6-dev (>= 2.5.0), autotools-dev, libgtk2.0-dev (>= 2.6.4), libssl-dev (>= 0.9.7), libx11-dev (>= 1.1.1), libcurl3-openssl-dev (>= 7.15.5), libnotify-dev (>= 0.4.4), libglib2.0-dev (>= 2.12.12), libdbus-glib-1-dev (>= 0.74), chrpath (>= 0.13), intltool (>= 0.23), zlib1g-dev 
 Standards-Version: 3.7.2
 
 Package: transmission
@@ -15,9 +15,10 @@
  Transmission is a GTK-based BitTorrent client. It features a
  very simple, intuitive interface on top on an efficient,
  cross-platform back-end.
+XB-Maemo-Upgrade-Description: New upstream release. Major UI Fixes & Improvements (still some way to go yet). Better method to check if maemo-select-menu-location should be run.
 XB-Maemo-Display-Name: Transmission
-XB-Maemo-Upgrade-Description: Downgrade from 1.40 to 1.34 to fix uPNP bug. Menu hildonised.
-XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAAAXNSR0IArs4c6QAAAARnQU1BAACx
+XB-Maemo-Icon-26: 
+ iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAAAXNSR0IArs4c6QAAAARnQU1BAACx
  jwv8YQUAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAAOpgAABdwnLpRPAAAAAlwSFlz
  AAAN1gAADdYBkG95nAAAABh0RVh0U29mdHdhcmUAUGFpbnQuTkVUIHYzLjIyt5EXfQAAByZJREFU
  WEftlllQlFcWx1tZYkHFp5mXmcwUVUOsykMqqZoaIm5FuY0sgiCbbJIOkLCIbE2z09BNs3SzCbRs

## transmission 1.40-maemo4

=== debian/changelog ===
transmission (1.40-maemo4) unstable; urgency=low

  * Hildonised menu.

 -- Faheem Pervez <trippin1@gmail.com>  Wed, 26 Nov 2008 12:16:58 +0000

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
 Package: transmission
 Architecture: any
 Depends: ${shlibs:Depends}
-Provides: transmission-diablo
-Replaces: transmission-diablo
+Provides: transmission-diablo, transmission-1.34
+Replaces: transmission-diablo, transmission-1.34
+Conflicts: transmission-1.34
 Description: free, lightweight BitTorrent client
  Transmission is a GTK-based BitTorrent client. It features a
  very simple, intuitive interface on top on an efficient,
  cross-platform back-end.
-XB-Maemo-Upgrade-Description: New upstream release. Major UI Fixes & Improvements (still some way to go yet). Better method to check if maemo-select-menu-location should be run.
+XB-Maemo-Upgrade-Description: Menu Hildonized.
 XB-Maemo-Display-Name: Transmission
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAAAXNSR0IArs4c6QAAAARnQU1BAACx

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/quilt/quilt.make
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -20,6 +19,11 @@
 	CFLAGS += -O2
 endif
 
+# Use soft-float and thumb mode if it enabled.
+ifneq (,$(findstring *disabled*-thumb,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mthumb
+endif
+
 # Use hardware floating point
 ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s -fomit-frame-pointer -ffast-math
@@ -30,7 +34,7 @@
  TRANSMISSION_MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
-configure: patch configure-stamp
+configure: configure-stamp
 
 configure-stamp:
 	dh_testdir
@@ -39,7 +43,7 @@
 		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
-		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs,--as-needed,-O2"
+		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs,--as-needed"
 
 	touch $@
 
@@ -53,7 +57,7 @@
 
 	touch $@
 
-clean: unpatch
+clean: 
 	dh_testdir
 	dh_testroot
 
@@ -69,6 +73,7 @@
 	$(RM) cli/.depend
 	$(RM) gtk/.depend
 	$(RM) libtransmission/.depend
+	$(RM) libtransmission/version.h
 # </bugfix>
 
 	dh_clean

## transmission 1.92

=== debian/changelog ===
transmission (1.92-0ubuntu2) lucid; urgency=low

  * Default to the fast preallocation mode. (LP: #538580) 

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Wed, 14 Apr 2010 01:14:17 +0200

transmission (1.92-0ubuntu1) lucid; urgency=low

  [ Krzysztof Klimonda ]
  * New upstream release (LP: #538034), rebased on debian testing.
    Remaining changes:
    - debian/control:
      + Added replaces & provides clutch (now included as part of transmission).
        Can be removed in lucid+1
      + Added liblaunchpad-integration-dev and lsb-release to Build-Depends
    - debian/rules:
      + create a po template during package build.
    - debian/patches/01_lpi.patch:
      + integrate transmission with launchpad
    - debian/patches/20_add_x-ubuntu-gettext-domain.diff:
      + add x-ubuntu-gettext-domain to .desktop file.
    - debian/transmission-daemon.default:
      - remove --auth from OPTIONS
    - debian/control, debian/rules:
      + build transmission gtk+ client with both gconf and libcanberra support.
    - debian/patches/dont_build_libevent.patch:
      + disable libevent in configure.ac and Makefile.am because we use autotools
        to regenerate build files.
    - lucid/debian/patches/updateminiupnpcstrings_double_escape_slash.patch:
      + Deleted as the bug is fixed upstream
  * Fixes bugs:
    - Fix directory selection error in GTK+ 2.19 (LP: #518692)
    - Transmission "Set Location" - dialog doesn't disappear (LP: #529037)
    - The "Torrent Options" dialog's Torrent Priority row gets too much
      vertical stretch (LP: #527299)
    - "Open Folder" behavior can be confusing for single-file torrents
      (LP: #505861)
  * Refreshed 99_autoreconf.patch

  [ Chris Coulson ]
  * debian/patches/disable_web_ui.patch:
    - Disable the web UI by default again (LP: #542194)

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Wed, 03 Mar 2010 02:55:26 +0100

transmission (1.91-1) unstable; urgency=low
  
  * new upstream release
  * debian/transmission-daemon.postrm: don't remove statoverride on 
    purge (closes: #571934)

 -- Leo Costela <costela@debian.org>  Sun, 28 Feb 2010 13:26:07 +0100

transmission (1.91-0ubuntu2) lucid; urgency=low

  * debian/transmission-daemon.postrm:
    - remove group only after stateoverride entries has been removed (LP: #529318)
    - split remove and purge actions to avoid running dpkg-statoverride twice.

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Sun, 28 Feb 2010 11:21:32 +0100

transmission (1.91-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #525622)
  * Fixes bugs:
    - Speed limits not honored when on at start up (LP: #526239)
  * Refreshed 99_autoreconf.patch

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Tue, 23 Feb 2010 19:57:35 +0100

transmission (1.90-1) unstable; urgency=low
  
  * new upstream release
  * debian/transmission-daemon.postrm: remove statoverride after deleting 
    group (closes: #569238)
  * debian/{control,rules}: drop libcanberra-dev and libgconf-dev build-deps
    and ensure we build without them. Please check the bug log for a more
    complete rationalle behind the decision. (closes: #570416)

 -- Leo Costela <costela@debian.org>  Sun, 21 Feb 2010 21:38:22 +0100

transmission (1.90-0ubuntu1) lucid; urgency=low

  [ Krzysztof Klimonda ]
  * New upstream release (LP: #522726)
  * Fixes bugs:
    - Support Application Indicators (LP: #497882)
    - Better file preallocation with fallocate() (LP: #445592)
    - Speed limit of 0 is not honored (LP: #473652)
    - incorrectly sent information (LP: #521140)
  * Refreshed 99_autoreconf.patch 
  * debian/control:
    - Build-Depend on libappindicator-dev

  [ Chris Coulson ]
  * Add ${misc:Depends} in debian/control to make Lintian happy
  * Update Standards-Version to 3.8.4. No other changes necessary

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Tue, 16 Feb 2010 17:50:22 +0100

transmission (1.83-2) unstable; urgency=low
  
  * debian/control: bump build-dep on libevent-dev to >= 1.4 (closes: #568544)

 -- Leo Costela <costela@debian.org>  Sun, 07 Feb 2010 17:31:13 +0100

transmission (1.83-1) unstable; urgency=low
  
  * new upstream version
  * bump policy to 3.8.4 (no changes)

 -- Leo Costela <costela@debian.org>  Mon, 01 Feb 2010 14:50:35 +0100

transmission (1.83-0ubuntu1) lucid; urgency=low

  [ Krzysztof Klimonda ]
  * New upstream release (LP: #512391)
  * Fixes bugs:
    - transmission consistently reports having downloading 115-130% of the
      required data with no corresponding corrupt download data numbers
      (LP: #499964)
  * debian/patches/99_autoreconf.patch:
    - Refreshed for the new changes

  [ Chris Coulson ]
  * debian/patches/01_lpi.patch:
    - Updated to use a pkg-config check at configure time, and not hard
      code the library name in transmission_LDADD
  * debian/patches/dont_build_libevent.patch:
    - Updated to patch configure.ac rather than configure. This stops
      it from breaking with an autoconf run (LP: #510776)

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Thu, 21 Jan 2010 18:23:05 +0000

transmission (1.82-2) unstable; urgency=low

  * debian/control
    - drop python build-dep, not needed for some time
    - bump intltool build-dep to >= 0.40 (closes: #566875)
    - add libcanberra-gtk and libgconf build-deps

 -- Leo Costela <costela@debian.org>  Tue, 26 Jan 2010 23:39:47 +0100

transmission (1.82-1) unstable; urgency=low

  * new upstream release
    - stop creating non-existent watch dir (closes: #554903)
    - daemon can now reload conf on SIGHUP (closes: #539936)
    - multiple tracker announce (closes: #509040)
  * debian/patches: drop fr.po.patch (merged upstream)

 -- Leo Costela <costela@debian.org>  Sat, 23 Jan 2010 18:02:27 +0100

transmission (1.80~b5-0ubuntu1) lucid; urgency=low

  [ Krzysztof Klimonda ]
  * New upstream release (LP: #496503)
  * Refreshed 99_autoreconf.patch
  * Removed 21_fix_inhibition.patch
